<ng-container [ngSwitch]="phase.type">
  <kypo-info-phase-configuration *ngSwitchCase="phaseTypes.Info"
                                 [phase]="phase"
                                 (phaseChange)="onPhaseChange($event)">
  </kypo-info-phase-configuration>
  <kypo-training-phase-configuration *ngSwitchCase="phaseTypes.Training"
                                     [phase]="phase"
                                     [relatedQuestions]="relatedQuestions"
                                     [updateMatrixFlag]="updateMatrix$ | async"
                                     [presentTrainingPhases]="presentTrainingPhases$ | async"
                                     [mitreTechniquesList]="mitreTechniquesList"
                                     (phaseChange)="onPhaseChange($event)">
  </kypo-training-phase-configuration>
  <kypo-questionnaire-phase-configuration *ngSwitchCase="phaseTypes.Questionnaire"
                                          [phase]="phase"
                                          [presentTrainingPhases]="presentTrainingPhases$ | async"
                                          (phaseChange)="onPhaseChange($event)">
  </kypo-questionnaire-phase-configuration>
  <kypo-access-phase-configuration *ngSwitchCase="phaseTypes.Access"
                                   [phase]="phase"
                                   (phaseChange)="onPhaseChange($event)">
  </kypo-access-phase-configuration>
</ng-container>
